# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name union-find

Name:           ghc-%{pkg_name}
Version:        0.2
Release:        2%{?dist}
Summary:        Efficient union and equivalence testing of sets

License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-transformers-devel
# End cabal-rpm deps

%description
The Union/Find algorithm implements these operations in (effectively)
constant-time:

1. Check whether two elements are in the same equivalence class.

2. Create a union of two equivalence classes.

3. Look up the descriptor of the equivalence class.


%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%doc LICENSE


%files devel -f %{name}-devel.files
%doc README.md


%changelog
* Thu Oct 10 2013 Jens Petersen <petersen@redhat.com> - 0.2-2
- add static provides (#1010702)

* Sun Sep 22 2013 Fedora Haskell SIG <haskell@lists.fedoraproject.org> - 0.2-1
- spec file generated by cabal-rpm-0.8.3
